/* Base Style (Raised) */
body { background-color: #f8f9fa; }

.main-container { min-height: 80vh; padding-top: 0px; }

.toggle-icon-btn {
    transition: all 0.2s ease;
    border-bottom: 3px solid #0d6efd; /* Adds to the 'raised' look */
}

/* Depressed State (When checked) */
.btn-check:checked + .toggle-icon-btn {
    background-color: #0d6efd;
    color: white;
    box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.2) !important; /* Inner shadow makes it look pushed in */
    border-bottom: 1px solid transparent;
    transform: translateY(2px); /* Moves the button down slightly */
}

/* Hover effect to enhance the feel */
.toggle-icon-btn:hover {
    transform: translateY(-1px);
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
}

input.form-control-plaintext {
    font-weight: bolder !important;
}

.form-label-small {
    font-size: 0.9em !important;
}

tr.xs th, tr.xs td {
    font-size: 0.8em !important;
}

table.table-dark tbody tr.xs td {
    background-color: #f8f9fa !important;
    color: #2d2d2d !important;
}

.menu-col {
    border: 1pt solid #0d6efd;
    border-radius: 10px;
    margin: 5px;
    padding: 8px;
    min-height: 150px;
    max-height: 150px;
    height: 150px;
}

.menu-col:hover {
    background-color: #0d6efd;
    color: white;
    font-weight: bolder !important;
}
.menu-icon {
    font-size: 50px;
    margin-top: 10px;
    margin-bottom: 20px;
    color: darkorange;
}

.menu-name {

    font-size: 18px !important;
    text-align: center !important;
    margin-top: 8px;
}


/* Type Ahead */
.list-group.position-absolute {
    top: 100%;
    left: 0;
    right: 0;
    z-index: 9999 !important;
    background-color: white !important;
}

button.list-group-item {
    padding: 3px;
    font-size: 0.8em !important;
}

td.text-size-large {
    font-size: 1.2em !important;
    font-weight: bolder !important;
}

div.is-invalid, tr.is-invalid {
    border: 1px solid #dc3545 !important;
    border-radius: 5px !important;
    padding: 8px !important;
}

td.is-invalid {
    color: #dc3545 !important;
}

a.navbar-item {
    text-decoration: none !important;
    color: dimgrey !important;
}

a.navbar-item:hover {
    color: white !important;
}

.force-dark {
    background-color: black !important;
}

a.edit-link {
    text-decoration: underline;
    color: black;

    position: relative;
    top: 0;
    transition: top ease 0.5s;
}

a.edit-link:hover {
    color: dimgray;

    top: -5px;
}

tr.separated-border {
    border-top: 3px solid darkgray !important;
}
